public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/libcap-ng/
Date: Wed,  9 Sep 2020 06:42:53 +0000 (UTC)	[thread overview]
Message-ID: <1599633770.72a3821c25e6b2e0dbcc03d43791dc93562c0781.polynomial-c@gentoo> (raw)

commit:     72a3821c25e6b2e0dbcc03d43791dc93562c0781
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  9 06:42:40 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Sep  9 06:42:50 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72a3821c

sys-libs/libcap-ng: Bump to version 0.8

Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-libs/libcap-ng/Manifest             |  1 +
 sys-libs/libcap-ng/libcap-ng-0.8.ebuild | 89 +++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/sys-libs/libcap-ng/Manifest b/sys-libs/libcap-ng/Manifest
index 998a8b48c37..a7ac7241a58 100644
--- a/sys-libs/libcap-ng/Manifest
+++ b/sys-libs/libcap-ng/Manifest
@@ -1,2 +1,3 @@
 DIST libcap-ng-0.7.10.tar.gz 450243 BLAKE2B 8eb21b0309e46b05fa42752b9c814d90bc1eda4852ac7a4975868c279764431a8d5eafc53e50998470f622e2a59e2b4c6c2ac1ac20525c6fcd0633b09b113012 SHA512 1b93c7f5c20ae5cc705fe5244af3e299454e988388cda95f006e248d97c0713e77da2a81c67ecf15755f3958df373fc6d1ca14197d6357ab1f2d8c3a0fd12def
 DIST libcap-ng-0.7.11.tar.gz 450541 BLAKE2B 66217f7fb9e3b3876ada6f355a2b69f16fda4ab3ab490e524358c4120583280ce6497770ec6452596426594b877d79c0e03db10d6413c1cf20bd01e996f7347b SHA512 150c4f48d7334966aa7af683e46bc3b8b4d4a2e80be826e6f6a61a0ea0666e2f4dafcd012c536fa321c4954c00059c689cc8d6dc089000ca1dca2fd52e3efe9c
+DIST libcap-ng-0.8.tar.gz 453181 BLAKE2B 8f4b2e13e5c2c21f1ac1455ebdaf04b42e07fa79d9026651f41eab041cdf99bd40d91b8ce2262e58bc2de3e2a793f676df8c69d832ccadfa4b486ebefeb4b128 SHA512 d410d66f46ad25765f35ffac17e0d36740329c334c6535d55a13fa218718a750763b7ad4610efa47efe7c256c143ead7dde7d37a29e99cb5c55161f577c40bb2

diff --git a/sys-libs/libcap-ng/libcap-ng-0.8.ebuild b/sys-libs/libcap-ng/libcap-ng-0.8.ebuild
new file mode 100644
index 00000000000..846ebcd8aae
--- /dev/null
+++ b/sys-libs/libcap-ng/libcap-ng-0.8.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit autotools flag-o-matic python-r1
+
+DESCRIPTION="POSIX 1003.1e capabilities"
+HOMEPAGE="https://people.redhat.com/sgrubb/libcap-ng/"
+SRC_URI="https://people.redhat.com/sgrubb/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x86-linux"
+IUSE="python static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+	sys-kernel/linux-headers"
+BDEPEND="python? ( >=dev-lang/swig-2 )"
+
+src_prepare() {
+	default
+	if use prefix ; then
+		sed -i "s@cat /usr@cat ${EPREFIX}/usr@" bindings/python*/Makefile.am || die
+		eautomake #668722
+	fi
+}
+
+src_configure() {
+	use sparc && replace-flags -O? -O0
+
+	local ECONF_SOURCE="${S}"
+
+	local myconf=(
+		$(use_enable static-libs static)
+	)
+
+	local pythonconf=( --without-python --without-python3 )
+
+	# set up python bindings build(s)
+	if use python ; then
+		setup_python_flags_configure() {
+			pythonconf=( --without-python --with-python3 )
+			run_in_build_dir econf "${pythonconf[@]}" "${myconf[@]}"
+		}
+
+		python_foreach_impl setup_python_flags_configure
+	else
+		local BUILD_DIR=${WORKDIR}/build
+		run_in_build_dir econf "${pythonconf[@]}" "${myconf[@]}"
+	fi
+}
+
+src_compile() {
+	if use python; then
+		python_foreach_impl run_in_build_dir emake
+	else
+		local BUILD_DIR=${WORKDIR}/build
+		emake -C "${BUILD_DIR}"
+	fi
+}
+
+src_test() {
+	if [[ "${EUID}" -eq 0 ]]; then
+		ewarn "Skipping tests due to root permissions."
+		return
+	fi
+
+	if use python; then
+		python_foreach_impl run_in_build_dir emake check
+	else
+		local BUILD_DIR=${WORKDIR}/build
+		emake -C "${BUILD_DIR}" check
+	fi
+}
+
+src_install() {
+	if use python; then
+		python_foreach_impl run_in_build_dir emake DESTDIR="${D}" install
+	else
+		local BUILD_DIR=${WORKDIR}/build
+		emake -C "${BUILD_DIR}" DESTDIR="${D}" install
+	fi
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2020-09-09  6:42 UTC|newest]

Thread overview: 101+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-09  6:42 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-30  3:24 [gentoo-commits] repo/gentoo:master commit in: sys-libs/libcap-ng/ Sam James
2024-05-30  3:24 Sam James
2024-05-30  3:24 Sam James
2024-05-30  3:24 Sam James
2024-05-30  3:24 Sam James
2024-05-30  3:24 Sam James
2024-05-30  3:24 Sam James
2024-04-28 23:39 Sam James
2024-04-04 16:48 Mike Gilbert
2024-04-04 16:48 Mike Gilbert
2024-04-04 16:48 Mike Gilbert
2024-03-19  3:42 Ionen Wolkens
2024-03-02 18:00 Arthur Zamarin
2024-02-19  4:04 Sam James
2024-02-18 13:32 Sam James
2024-02-18 13:20 Sam James
2024-02-08  1:50 Sam James
2024-02-03  6:56 Sam James
2024-02-02 16:27 Arthur Zamarin
2024-02-02 14:58 Arthur Zamarin
2024-02-02  6:40 Sam James
2023-12-24  2:19 Sam James
2023-12-24  1:45 Sam James
2023-03-07 11:39 Sam James
2022-07-28 13:20 Sam James
2022-06-21  9:41 David Seifert
2022-06-02  7:31 Jakov Smolić
2022-06-02  5:03 Jakov Smolić
2022-06-02  4:00 Sam James
2022-06-02  3:23 Sam James
2022-06-02  3:12 Sam James
2022-06-02  3:12 Sam James
2022-06-02  3:05 Sam James
2022-06-02  3:05 Sam James
2022-05-05  9:51 WANG Xuerui
2022-04-07  3:37 Sam James
2021-10-31 20:09 Arthur Zamarin
2021-06-06 15:42 David Seifert
2021-05-26 18:28 Sergei Trofimovich
2021-05-26  8:11 Sam James
2021-05-26  8:04 Sam James
2021-05-25 11:06 Sam James
2021-05-24 13:05 Agostino Sarubbo
2021-05-24  0:12 Sam James
2021-05-24  0:12 Sam James
2021-05-23 23:07 Thomas Deutschmann
2021-05-06  7:11 Lars Wendler
2020-12-14 23:21 Robin H. Johnson
2020-12-14 23:21 Robin H. Johnson
2020-12-11 14:59 Lars Wendler
2020-12-11 14:59 Lars Wendler
2020-11-23  8:01 Sergei Trofimovich
2020-11-23  7:52 Sergei Trofimovich
2020-11-23  4:05 Sam James
2020-11-20 20:01 Sergei Trofimovich
2020-11-20  2:02 Sam James
2020-11-20  2:02 Sam James
2020-11-20  1:34 Thomas Deutschmann
2020-11-19 22:58 Sam James
2020-11-19  9:36 Lars Wendler
2020-08-24 22:47 Thomas Deutschmann
2020-08-14 23:22 Andreas Sturmlechner
2020-07-30 14:05 Lars Wendler
2020-04-11 16:19 Lars Wendler
2020-04-11 16:12 Agostino Sarubbo
2020-04-11 16:10 Agostino Sarubbo
2020-04-11 16:00 Agostino Sarubbo
2020-04-11 15:58 Agostino Sarubbo
2020-04-11 11:21 Mart Raudsepp
2020-04-10 22:56 Sergei Trofimovich
2020-04-09 18:00 Agostino Sarubbo
2020-02-10 21:25 Michał Górny
2019-12-02 14:24 Andreas Sturmlechner
2019-10-02 23:22 Thomas Deutschmann
2019-05-05 13:49 Mikle Kolyada
2018-11-21 14:45 Lars Wendler
2018-03-19 18:06 Guilherme Amadio
2018-02-08 16:36 Mike Gilbert
2018-01-12  4:10 Mike Frysinger
2017-05-26 22:54 David Seifert
2017-04-28 14:07 Manuel Rüger
2017-02-18  6:45 Lars Wendler
2017-02-18  5:53 Markus Meier
2017-01-20 11:05 Agostino Sarubbo
2017-01-17 14:24 Agostino Sarubbo
2017-01-16 19:56 Tobias Klausmann
2017-01-15 15:50 Agostino Sarubbo
2017-01-15 10:02 Jeroen Roovers
2017-01-11 10:35 Agostino Sarubbo
2017-01-10 15:22 Agostino Sarubbo
2017-01-10 14:56 Agostino Sarubbo
2016-07-29 15:08 Lars Wendler
2016-02-17 16:04 Mike Frysinger
2015-09-21 11:27 Agostino Sarubbo
2015-08-26 15:55 Markus Meier
2015-08-24  5:16 Jeroen Roovers
2015-08-18  4:32 Jeroen Roovers
2015-08-16 17:55 Mikle Kolyada
2015-08-12 18:21 Agostino Sarubbo
2015-08-09 23:46 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1599633770.72a3821c25e6b2e0dbcc03d43791dc93562c0781.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox